Bug 11319 - не реализована пооддержка более одного ip на контейнер
: не реализована пооддержка более одного ip на контейнер
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-mkve)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-02 23:10 by
Modified: 2009-04-14 18:40 (History)


Attachments
101.conf (1.08 KB, text/plain)
2007-04-04 08:28, Anton Farygin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-02 23:10:53
Дано:
# cat venet0/ipv4address 

172.18.0.18/32 label venet0:1
10.2.0.10/32 label venet0:2

В WEB интерфейсе видно только первый.

После смены IP адреса через WEB интерфейс настройки контейнера остаётся только
один адрес.
По организационным причинам необходимо что бы на интерфейсе venet0 было два адреса.

Необходимо либо добавить возможность заведения нескольких адресов в
конфигуратор, либо сделать так, что бы второй не стирался при изменении первого
через WEB интерфейс.
------- Comment #1 From 2007-04-03 23:57:37 -------
Это не заявленная функциональность.
------- Comment #2 From 2007-04-04 00:00:56 -------
1) А где список заявленной функциональности ?
2) Никакие конфигурялки не должны уничтожать сделанные руками настройки,
особенно если это касается IP адресов и всего, что связано с сетью. Может
оказаться, что к серверу придётся ехать на сотню-другую километров.
------- Comment #3 From 2007-04-04 00:03:23 -------
и просьба не менять severity без объяснения причин.

Это - Critical. Я объяснил почему.
------- Comment #4 From 2007-04-04 00:40:25 -------
(In reply to comment #2)
> 1) А где список заявленной функциональности ?
у inger@/ldv@ От тебя я ничего не видел.

> 2) Никакие конфигурялки не должны уничтожать сделанные руками настройки,
> особенно если это касается IP адресов и всего, что связано с сетью. Может
> оказаться, что к серверу придётся ехать на сотню-другую километров.
Было бы неплохо увидеть содержимое /etc/vz/conf/<ve>.conf, иначе опять Severity
понижу ;)

------- Comment #5 From 2007-04-04 08:28:12 -------
Created an attachment (id=1884) [details]
101.conf

attached. IP был добавлен следующим образом:


# vzctl set 101 --ipadd 10.2.0.10
Warning: too large value for VMGUARPAGES=6144:9223372036854775807 was truncated

Warning: too large value for OOMGUARPAGES=6144:9223372036854775807 was
truncated
Warning: too large value for PHYSPAGES=0:9223372036854775807 was truncated
Adding IP address(es): 10.2.0.10
WARNING: Settings were not saved and will be resetted to original values on
next start (use --save flag)
# vzctl set 101 --save
Warning: too large value for VMGUARPAGES=6144:9223372036854775807 was truncated

Warning: too large value for OOMGUARPAGES=6144:9223372036854775807 was
truncated
Warning: too large value for PHYSPAGES=0:9223372036854775807 was truncated
Saved parameters for VE 101
------- Comment #6 From 2007-04-05 09:49:56 -------
О том, чтобы не убивать "локальные" IP адреса (192.x.x.x) мы говорили с самого
начала, но всегда не хватало времени чтобы это реализовать. Но это именно
"локальные адреса" из сети внутри appliance. Что такое адреса 172.18.0.18 я не
знаю. И зачем они нужны тоже не знаю.

"Список функциональности" разве что у Димы есть.
------- Comment #7 From 2007-04-07 04:02:23 -------
У меня нет перед глазами web-интерфейса, поэтому пишу в условной форме.

1. Если web-интерфейс не позволяет указать перечень из нескольких адресов, то
это очень большая недостача в функциональности.
2. Если он позволяет указать перечень, но теряет адреса, то это серьёзная
ошибка.
3. Если новые адреса создаются внутри контейнера, то vzctl при перезапуске
контейнера всё равно потеряет эти изменения.
------- Comment #8 From 2007-04-07 04:16:25 -------
Всё несколько хуже.

В веб-интерфейсе нет возможности заводить несколько адресов, а
после vzctl set <номер> --ipadd <адрес> и после --save - дополнительный адрес не
сохраняется в конфигурационном файле и при рестарте теряется.

------- Comment #9 From 2007-04-07 04:36:11 -------
vzctl set <номер> --ipadd <адрес> --save ничего не теряет, я проверял.
Если начнёт терять, то это баг vzctl.

Правильно ли я понял, что wеb-интерфейс теряет настройки ip-адресов, сделанные
_ранее_ путём vzctl set <номер> --ipadd <адрес> --save?  Если это так, то это
ужасно.
------- Comment #10 From 2007-04-07 04:49:26 -------
Всё намного ужаснее:

# vzctl set 102 --ipadd 192.168.0.10
Warning: too large value for VMGUARPAGES=6144:9223372036854775807 was truncated
Warning: too large value for OOMGUARPAGES=6144:9223372036854775807 was truncated
Warning: too large value for PHYSPAGES=0:9223372036854775807 was truncated
Adding IP address(es): 192.168.0.10
WARNING: Settings were not saved and will be resetted to original values on next
 start (use --save flag)


# vzctl exec 102 ip ad
Warning: too large value for VMGUARPAGES=6144:9223372036854775807 was truncated
Warning: too large value for OOMGUARPAGES=6144:9223372036854775807 was truncated
Warning: too large value for PHYSPAGES=0:9223372036854775807 was truncated
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
3: venet0: <BROADCAST,POINTOPOINT,NOARP,UP,LOWER_UP> mtu 1500 qdisc noqueue 
    link/void 
    inet 192.168.0.5/32 scope global venet0:1
    inet 192.168.0.10/32 scope global venet0:2


# vzctl set 102 --save
Warning: too large value for VMGUARPAGES=6144:9223372036854775807 was truncated
Warning: too large value for OOMGUARPAGES=6144:9223372036854775807 was truncated
Warning: too large value for PHYSPAGES=0:9223372036854775807 was truncated
Saved parameters for VE 102

# vzctl restart 102
Warning: too large value for VMGUARPAGES=6144:9223372036854775807 was truncated
Warning: too large value for OOMGUARPAGES=6144:9223372036854775807 was truncated
Warning: too large value for PHYSPAGES=0:9223372036854775807 was truncated
Restarting VE
Stopping VE ...
VE was stopped
VE is unmounted
Starting VE ...
VE is mounted
Adding IP address(es): 192.168.0.5
Setting CPU units: 1000
Configure meminfo: 65536
Set hostname: jabber
File resolv.conf was modified
VE start in progress...

# vzctl exec 102 ip ad
Warning: too large value for VMGUARPAGES=6144:9223372036854775807 was truncated
Warning: too large value for OOMGUARPAGES=6144:9223372036854775807 was truncated
Warning: too large value for PHYSPAGES=0:9223372036854775807 was truncated
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
3: venet0: <BROADCAST,POINTOPOINT,NOARP,UP,LOWER_UP> mtu 1500 qdisc noqueue 
    link/void 
    inet 192.168.0.5/32 scope global venet0:1


Для начала хотя бы save починить
------- Comment #11 From 2007-04-07 04:51:39 -------
Не и соответственно WEB интерфейс теряет.
------- Comment #12 From 2007-04-07 05:01:14 -------
vzctl set <veid> --save
не сможет сохранить настройки, сделанные с помощью
vzctl set <veid> --ipadd <addr>
поскольку эта информация хранится только в контейнере
и может быть изменена администратором контейнера,
по этой причине переносить её из контейнера в hn небезопасно.

Короче говоря, когда надо сохранять сетевые настройки адресов,
следует вводить
vzctl set <veid> --ipadd <addr> --save
(повторный --ipadd не вреден).

А вот bc из контейнера изменить нельзя, поэтому с ними работать проще.
------- Comment #13 From 2007-04-07 05:41:20 -------
Понятно. В этом случае было бы неплохо поправить справку.

По поводу ovz ситуация такова:
после добавления второго адреса и его сохранения - в alterator-ovz появляется в
поле IP адрес два IP адреса, разделённых пробелом
при попытке изменить любой из них вылезает 
Не выполнены следующие ограничения на поля:
IP адрес : недопустимый ipv4 адрес
------- Comment #14 From 2007-04-21 04:46:55 -------
Нынешний alterator-ovz не поддерживает более одного ip-адреса для контейнера.
В поле ввода адреса нельзя ввести более одного ip-адреса.
Если несколько ip-адресов назначены в обход alterator-ovz, то перестают
работать
функции управления SNAT/DNAT.

Короче говоря, нужна поддержка >1 ip на контейнер.
В принципе ничего сложного, но повозиться придётся.
------- Comment #15 From 2009-04-14 18:40:05 -------
у меня, кажись, поддерживаются